mutation CreateTeam(
  $teamName: String!,
  $ownerId: String!,
  $ownerName: String!,
  $ownerRole: TeamOwnerRole!,
  $favoriteStaff: String,
  $blockedStaff: String
) @auth(level: USER) {
  team_insert(
    data: {
      teamName: $teamName
      ownerId: $ownerId
      ownerName: $ownerName
      ownerRole: $ownerRole
      favoriteStaff: $favoriteStaff
      blockedStaff: $blockedStaff
    }
  )
}

mutation UpdateTeam(
  $id: UUID!,
  $teamName: String,
  $ownerId: String,
  $ownerName: String,
  $ownerRole: TeamOwnerRole,
  $favoriteStaff: String,
  $blockedStaff: String
) @auth(level: USER) {
  team_update(
    id: $id,
    data: {
      teamName: $teamName
      ownerId: $ownerId
      ownerName: $ownerName
      ownerRole: $ownerRole
      favoriteStaff: $favoriteStaff
      blockedStaff: $blockedStaff
    }
  )
}

mutation DeleteTeam(
  $id: UUID!
) @auth(level: USER) {
  team_delete(id: $id)
}
